## GdauiRawForm GdauiRawForm — Form widget to manipulate data in a GdaDataModel |

## Stability Level

Stable, unless otherwise indicated

## Synopsis

    struct              GdauiRawForm;
    GtkWidget *         gdaui_raw_form_new                  (GdaDataModel *model);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBox
                               +----GdauiBasicForm
                                     +----GdauiRawForm

## Implemented Interfaces

GdauiRawForm implements AtkImplementorIface, GtkBuildable, GtkOrientable, GdauiDataProxy and GdauiDataSelector.

## Properties

      "model"                    GdaDataModel*         : Read / Write

## Description

The GdauiForm widget which uses the GdauiRawForm and adds decorations such as information about data model size, and features searching.

## Details

### struct GdauiRawForm

    struct GdauiRawForm;

### gdaui_raw_form_new ()

    GtkWidget *         gdaui_raw_form_new                  (GdaDataModel *model);

Creates a new GdauiRawForm widget to display data in `model`

`model` : | a GdaDataModel, or `NULL`. [allow-none]
Returns : | the new widget. [transfer full]

Since 4.2

## Property Details

### The `"model"` property

      "model"                    GdaDataModel*         : Read / Write

## See Also

the GdauiForm widget which uses the GdauiRawForm and adds decorations such as information about data model size, and features searching.